at.chipkarte.client.bkf.soap

## Class KurativeMammographieDoku

- Object
- - at.chipkarte.client.bkf.soap.KurativeMammographieDoku

-     public class KurativeMammographieDoku
      extends Object

  Enthält die Ergebnisdaten der kurativen Mammographie, zum Aufruf der Funktion createKurativeMammographieDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KurativeMammographieDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KUMEndergebnis` | `getEndergebnis()` Dokumentation des Endergebnisses `KUMEndergebnis`.
    `Long` | `getKonsultationsID()` Eindeutiger Bezeichner der gewählten Konsultation.
    `String` | `getLeistungsdatum()` Datum der Leistung.
    `KUMMammographieErstbefunder` | `getMamErstbefunder()` Mammographiedokumentation des Erstbefunders `KUMMammographieErstbefunder`.
    `KUMMammographieZweitbefunder` | `getMamZweitbefunder()` Mammographiedokumentation des Zweitbefunders `KUMMammographieZweitbefunder`.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `KUMUltraschall` | `getUltraschall()` Ultraschalldokumentation `KUMUltraschall`.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `void` | `setEndergebnis(KUMEndergebnis endergebnis)`
    `void` | `setKonsultationsID(Long konsultationsID)`
    `void` | `setLeistungsdatum(String leistungsdatum)`
    `void` | `setMamErstbefunder(KUMMammographieErstbefunder mamErstbefunder)`
    `void` | `setMamZweitbefunder(KUMMammographieZweitbefunder mamZweitbefunder)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setUltraschall(KUMUltraschall ultraschall)`
    `void` | `setVersionsnummer(String versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KurativeMammographieDoku

          public KurativeMammographieDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createKurativeMammographieDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getKonsultationsID

          public Long getKonsultationsID()

      Eindeutiger Bezeichner der gewählten Konsultation.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Mittels der Funktion `IBkfService.searchBkfKonsultationData(String, String, String, String)` können die relevanten Konsultation der Patientin zum Benutzer (Behandlungsdatum, Behandlungsfall-Code) abgefragt werden.
      Format: maximal 19-stellig
      ParameterID: 9004.
      Returns:
        KonsultationsID

    - #### setKonsultationsID

          public void setKonsultationsID(Long konsultationsID)

    - #### getLeistungsdatum

          public String getLeistungsdatum()

      Datum der Leistung.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Darf nicht in der Zukunft liegen.
      Bei Angabe einer Konsultation wird automatisch das Behandlungsdatum der Konsultation als Leistungsdatum verwendet.
      Format: TT.MM.JJJJ
      ParameterID: 9006.
      Returns:
        Leistungsdatum

    - #### setLeistungsdatum

          public void setLeistungsdatum(String leistungsdatum)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getMamErstbefunder

          public KUMMammographieErstbefunder getMamErstbefunder()

      Mammographiedokumentation des Erstbefunders `KUMMammographieErstbefunder`.
      Angabe: Muss.
      ParameterID: 0410.
      Returns:
        MamErstbefunder

    - #### setMamErstbefunder

          public void setMamErstbefunder(KUMMammographieErstbefunder mamErstbefunder)

    - #### getMamZweitbefunder

          public KUMMammographieZweitbefunder getMamZweitbefunder()

      Mammographiedokumentation des Zweitbefunders `KUMMammographieZweitbefunder`.
      Angabe: Kann.
      ParameterID: 0450.
      Returns:
        MamZweitbefunder

    - #### setMamZweitbefunder

          public void setMamZweitbefunder(KUMMammographieZweitbefunder mamZweitbefunder)

    - #### getUltraschall

          public KUMUltraschall getUltraschall()

      Ultraschalldokumentation `KUMUltraschall`.
      Angabe: Kann.
      ParameterID: 0430.
      Returns:
        KUMUltraschall

    - #### setUltraschall

          public void setUltraschall(KUMUltraschall ultraschall)

    - #### getEndergebnis

          public KUMEndergebnis getEndergebnis()

      Dokumentation des Endergebnisses `KUMEndergebnis`.
      Angabe: Muss.
      ParameterID: 0470.
      Returns:
        Endergebnis

    - #### setEndergebnis

          public void setEndergebnis(KUMEndergebnis endergebnis)